Bug 175255 - [patch] [update] update net-p2p/transmission-cli & slave ports to 2.76, fix rc-script
Summary: [patch] [update] update net-p2p/transmission-cli & slave ports to 2.76, fix r...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-13 11:20 UTC by vsjcfm
Modified: 2013-01-16 19:10 UTC (History)
0 users

See Also:


Attachments
patch.txt (1.93 KB, text/plain)
2013-01-13 11:20 UTC, vsjcfm
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description vsjcfm 2013-01-13 11:20:00 UTC
There is a new version.

How-To-Repeat: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-01-13 11:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Chris Rees freebsd_committer 2013-01-14 21:04:44 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 vsjcfm 2013-01-15 22:37:53 UTC
2013/1/14  <crees@freebsd.org>:
> Synopsis: [patch] [update] update net-p2p/transmission-cli & slave ports to 2.76, fix rc-script
>
> State-Changed-From-To: open->closed
> State-Changed-By: crees
> State-Changed-When: Mon Jan 14 21:04:44 UTC 2013
> State-Changed-Why:
> Committed. Thanks!
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=175255

Emm... And where is the commit? I see previous version here:
http://www.freshports.org/net-p2p/transmission-cli/
Comment 4 dfilter service freebsd_committer 2013-01-16 19:01:29 UTC
Author: crees
Date: Wed Jan 16 19:01:15 2013
New Revision: 310511
URL: http://svnweb.freebsd.org/changeset/ports/310511

Log:
  Update to 2.76
  
  Various rc script tidying
  
  PR:		ports/175255
  Submitted by:	Sayetsky Anton <vsjcfm@gmail.com>

Modified:
  head/net-p2p/transmission-cli/Makefile
  head/net-p2p/transmission-cli/distinfo
  head/net-p2p/transmission-cli/files/transmission.in
  head/net-p2p/transmission/Makefile

Modified: head/net-p2p/transmission-cli/Makefile
==============================================================================
--- head/net-p2p/transmission-cli/Makefile	Wed Jan 16 18:58:29 2013	(r310510)
+++ head/net-p2p/transmission-cli/Makefile	Wed Jan 16 19:01:15 2013	(r310511)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	transmission
-PORTVERSION=	2.75
+PORTVERSION=	2.76
 PORTREVISION?=	0
 CATEGORIES?=	net-p2p
 #MASTER_SITES=	http://download.m0k.org/${PORTNAME}/files/
@@ -19,7 +19,7 @@ OPTIONS_DEFINE=	LITE
 
 .include <bsd.port.options.mk>
 
-.if ${SLAVEPORT}!="web"
+.if ${SLAVEPORT} != web
 LIB_DEPENDS?=	${GEN_LIB_DEPENDS}
 
 # General dependencies
@@ -50,7 +50,7 @@ MAN1?=		transmission-cli.1 transmission-
 EXTRA_PATCHES=	${PATCHDIR}/disable-web
 .endif
 
-USE_XZ=	yes
+USE_XZ=		yes
 
 DOCS=		AUTHORS COPYING NEWS README
 DOCSDIR=	${PREFIX}/share/doc/${PORTNAME}${PKGNAMESUFFIX}
@@ -58,7 +58,7 @@ DOCSDIR=	${PREFIX}/share/doc/${PORTNAME}
 general-patch:
 	@${FIND} ${WRKSRC} -name Makefile.in | ${XARGS} ${REINPLACE_CMD} -e \
 		's|noinst_PROGRAMS = |noinst_PROGRAMS = #|g'
-.if ${SLAVEPORT}!="gtk2"
+.if ${SLAVEPORT} != gtk2
 	@${REINPLACE_CMD} -e '/#define DISABLE_GETTEXT/s,/\* \(.*\) \*/,\1,' \
 		${WRKSRC}/libtransmission/utils.h
 .endif
@@ -69,7 +69,7 @@ general-patch:
 			${WRKSRC}/configure
 	@${REINPLACE_CMD} -e 's|doc \\| \\|g' \
 		${WRKSRC}/Makefile.in
-.if ${SLAVEPORT}!="cli"
+.if ${SLAVEPORT} != cli
 	@${REINPLACE_CMD} -e 's|utils \\|\\|g' \
 		${WRKSRC}/Makefile.in
 .endif

Modified: head/net-p2p/transmission-cli/distinfo
==============================================================================
--- head/net-p2p/transmission-cli/distinfo	Wed Jan 16 18:58:29 2013	(r310510)
+++ head/net-p2p/transmission-cli/distinfo	Wed Jan 16 19:01:15 2013	(r310511)
@@ -1,2 +1,2 @@
-SHA256 (transmission-2.75.tar.xz) = 2869f9a5c1202fa1b65dbf60ffae9e4cad7d6e2fff0de55416a761e60d894a66
-SIZE (transmission-2.75.tar.xz) = 2986844
+SHA256 (transmission-2.76.tar.xz) = 02c8c47da5b5567f9018d4a1fdad585cff58d315bd2a544da71e7bd473853b33
+SIZE (transmission-2.76.tar.xz) = 2954220

Modified: head/net-p2p/transmission-cli/files/transmission.in
==============================================================================
--- head/net-p2p/transmission-cli/files/transmission.in	Wed Jan 16 18:58:29 2013	(r310510)
+++ head/net-p2p/transmission-cli/files/transmission.in	Wed Jan 16 19:01:15 2013	(r310511)
@@ -38,7 +38,7 @@ load_rc_config $name
 transmission_group=${transmission_group:-$transmission_user}
 
 command=%%PREFIX%%/bin/transmission-daemon
-pidfile=/var/run/transmission/damon.pid
+pidfile=/var/run/transmission/daemon.pid
 start_precmd=transmission_prestart
 
 transmission_flags=" \
@@ -55,11 +55,19 @@ transmission_prestart()
 	chown $transmission_user:$transmission_group $transmission_download_dir
 	chown -R $transmission_user:$transmission_group $transmission_conf_dir/*
 	chgrp $transmission_group $transmission_conf_dir
-	chmod 1770 $transmission_conf_dir
+	chmod 750 $transmission_conf_dir
 	if [ -n "$transmission_web_home" ]; then
 		TRANSMISSION_WEB_HOME=$transmission_web_home
 		export TRANSMISSION_WEB_HOME
 	fi
 }
 
+# Unfortunately there was a typo in a previous version, which may have
+# left some people with /var/run/transmission/damon.pid .  Deal with
+# this for a few months at least, until everyone will have restarted
+# transmission
+if [ ! -f $pidfile -a -f /var/run/transmission/damon.pid ]; then
+	pidfile=/var/run/transmission/damon.pid
+fi
+
 run_rc_command $1

Modified: head/net-p2p/transmission/Makefile
==============================================================================
--- head/net-p2p/transmission/Makefile	Wed Jan 16 18:58:29 2013	(r310510)
+++ head/net-p2p/transmission/Makefile	Wed Jan 16 19:01:15 2013	(r310511)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	transmission
-PORTVERSION=	2.75
+PORTVERSION=	2.76
 CATEGORIES=	net-p2p
 MASTER_SITES=	# empty
 DISTFILES=	# empty
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Chris Rees freebsd_committer 2013-01-16 19:03:51 UTC
On 15 January 2013 22:37, Sayetsky Anton <vsjcfm@gmail.com> wrote:
>
> Emm... And where is the commit? I see previous version here:
> http://www.freshports.org/net-p2p/transmission-cli/
>

You are correct; I hadn't noticed that the version wasn't up to date,
since Jeremy had removed his name from the headers.  Thanks for
pointing it out to me... I shouldn't assume that svn commit "just
worked".

http://lists.freebsd.org/pipermail/svn-ports-head/2012-December/010191.html

Chris